MCP Gateway
ApiProviders

Create provider

Add a new provider configuration. Validates provider type and checks for duplicates. Auto-activates if first of its type.

POST
/api/v1/settings/providers

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/settings/providers" \  -H "Content-Type: application/json" \  -d '{    "provider_type": "llm",    "provider": "string",    "model": "string"  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "provider_type": "llm",
  "provider": "string",
  "display_name": "string",
  "model": "string",
  "has_api_key": true,
  "api_key_masked": "string",
  "needs_reconfiguration": false,
  "endpoint": "string",
  "config": {},
  "is_active": true,
  "connection_verified": true,
  "connection_verified_at": "2019-08-24T14:15:22Z",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}